AuthzConstants (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.authz.shared.AuthzConstants class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.authz.shared
Class AuthzConstants

    java.lang.Object
      org.hyperic.hq.authz.shared.AuthzConstants

    public final class AuthzConstants

extends java.lang.Object

Field Summary
`static java.lang.String` | `applicationResType`
`static java.lang.String` | `appOpControlApplication`
`static java.lang.String` | `appOpCreateApplication`
`static java.lang.String` | `appOpManageAlerts`
`static java.lang.String` | `appOpModifyApplication`
`static java.lang.String` | `appOpMonitorApplication`
`static java.lang.String` | `appOpRemoveApplication`
`static java.lang.String` | `appOpViewApplication`
`static java.lang.String` | `appPrototypeTypeName`
`static java.lang.Integer` | `authzApplication`
`static java.lang.Integer` | `authzApplicationProto`
`static int` | `authzDefaultResourceGroupType`
`static java.lang.String` | `authzDS`
`static java.lang.Integer` | `authzEscalation`
`static java.lang.Integer` | `authzGroup`
`static java.lang.Integer` | `authzHQSystem`
`static java.lang.Integer` | `authzLocation`
`static java.lang.Integer` | `authzPlatform`
`static java.lang.Integer` | `authzPlatformProto`
`static java.lang.Integer` | `authzResourceGroupId`
`static java.lang.String` | `authzResourceGroupName`
`static java.lang.Integer` | `authzRole`
`static java.lang.Integer` | `authzServer`
`static java.lang.Integer` | `authzServerProto`
`static java.lang.Integer` | `authzService`
`static java.lang.Integer` | `authzServiceProto`
`static java.lang.Integer` | `authzSubject`
`static java.lang.String` | `creatorRoleName`
`static java.lang.String` | `escalationResourceTypeName`
`static java.lang.String` | `escOpCreateEscalation`
`static java.lang.String` | `escOpModifyEscalation`
`static java.lang.String` | `escOpRemoveEscalation`
`static java.lang.String` | `escOpViewEscalation`
`static java.lang.String` | `groupOpAddRole`
`static java.lang.String` | `groupOpControlResourceGroup`
`static java.lang.String` | `groupOpCreateResourceGroup`
`static java.lang.String` | `groupOpManageAlerts`
`static java.lang.String` | `groupOpModifyResourceGroup`
`static java.lang.String` | `groupOpMonitorResourceGroup`
`static java.lang.String` | `groupOpRemoveResourceGroup`
`static java.lang.String` | `groupOpViewResourceGroup`
`static java.lang.String` | `groupResourceTypeName`
`static java.lang.String` | `groupResType`
`static java.lang.Integer` | `guestId`
`static java.lang.String` | `hqSystemResourceTypeName`
`static java.lang.String` | `overlordDsn`
`static java.lang.Integer` | `overlordId`
`static java.lang.String` | `overlordName`
`static java.lang.Integer` | `perm_modifyApplication`
`static java.lang.Integer` | `perm_modifyPlatform`
`static java.lang.Integer` | `perm_modifyResourceGroup`
`static java.lang.Integer` | `perm_modifyRole`
`static java.lang.Integer` | `perm_modifyServer`
`static java.lang.Integer` | `perm_modifyService`
`static java.lang.Integer` | `perm_modifySubject`
`static java.lang.Integer` | `perm_removeApplication`
`static java.lang.Integer` | `perm_removePlatform`
`static java.lang.Integer` | `perm_removeResourceGroup`
`static java.lang.Integer` | `perm_removeRole`
`static java.lang.Integer` | `perm_removeServer`
`static java.lang.Integer` | `perm_removeService`
`static java.lang.Integer` | `perm_removeSubject`
`static java.lang.Integer` | `perm_viewApplication`
`static java.lang.Integer` | `perm_viewPlatform`
`static java.lang.Integer` | `perm_viewResourceGroup`
`static java.lang.Integer` | `perm_viewRole`
`static java.lang.Integer` | `perm_viewServer`
`static java.lang.Integer` | `perm_viewService`
`static java.lang.Integer` | `perm_viewSubject`
`static java.lang.String` | `platformOpAddServer`
`static java.lang.String` | `platformOpControlPlatform`
`static java.lang.String` | `platformOpCreatePlatform`
`static java.lang.String` | `platformOpManageAlerts`
`static java.lang.String` | `platformOpModifyPlatform`
`static java.lang.String` | `platformOpMonitorPlatform`
`static java.lang.String` | `platformOpRemovePlatform`
`static java.lang.String` | `platformOpViewPlatform`
`static java.lang.String` | `platformPrototypeTypeName`
`static java.lang.String` | `platformPrototypeVmwareVsphereHost`
`static java.lang.String` | `platformPrototypeVmwareVsphereVm`
`static java.lang.String` | `platformResType`
`static java.lang.String` | `privateRoleGroupName`
`static java.lang.Integer` | `RELATION_CONTAINMENT_ID`
`static java.lang.Integer` | `RELATION_NETWORK_ID`
`static java.lang.Integer` | `RELATION_VIRTUAL_ID`
`static java.lang.String` | `ResourceEdgeContainmentRelation`
`static java.lang.String` | `ResourceEdgeNetworkRelation`
`static java.lang.String` | `ResourceEdgeVirtualRelation`
`static java.lang.String` | `roleOpCreateRole`
`static java.lang.String` | `roleOpModifyRole`
`static java.lang.String` | `roleOpRemoveRole`
`static java.lang.String` | `roleOpViewRole`
`static java.lang.String` | `roleResourceTypeName`
`static java.lang.String` | `rootOpCAMAdmin`
`static java.lang.Integer` | `rootResourceGroupId`
`static java.lang.String` | `rootResourceGroupName`
`static java.lang.Integer` | `rootResourceId`
`static java.lang.String` | `rootResType`
`static java.lang.Integer` | `rootRoleId`
`static java.lang.String` | `rootRoleName`
`static java.lang.Integer` | `rootSubjectId`
`static java.lang.String` | `serverOpAddService`
`static java.lang.String` | `serverOpControlServer`
`static java.lang.String` | `serverOpCreateServer`
`static java.lang.String` | `serverOpManageAlerts`
`static java.lang.String` | `serverOpModifyServer`
`static java.lang.String` | `serverOpMonitorServer`
`static java.lang.String` | `serverOpRemoveServer`
`static java.lang.String` | `serverOpViewServer`
`static java.lang.String` | `serverPrototypeTypeName`
`static java.lang.String` | `serverPrototypeVmwareVcenter`
`static java.lang.String` | `serverResType`
`static java.lang.String` | `serviceOpControlService`
`static java.lang.String` | `serviceOpCreateService`
`static java.lang.String` | `serviceOpManageAlerts`
`static java.lang.String` | `serviceOpModifyService`
`static java.lang.String` | `serviceOpMonitorService`
`static java.lang.String` | `serviceOpRemoveService`
`static java.lang.String` | `serviceOpViewService`
`static java.lang.String` | `servicePrototypeTypeName`
`static java.lang.String` | `serviceResType`
`static java.lang.String` | `subjectOpCreateSubject`
`static java.lang.String` | `subjectOpModifySubject`
`static java.lang.String` | `subjectOpRemoveSubject`
`static java.lang.String` | `subjectOpViewSubject`
`static java.lang.String` | `subjectResourceTypeName`
`static java.lang.String` | `typeOpAddOperation`
`static java.lang.String` | `typeOpCreateResource`
`static java.lang.String` | `typeOpModifyResourceType`
`static java.lang.String` | `typeOpRemoveOperation`
`static java.lang.String` | `typeResourceTypeName`
`static java.lang.String[]` | `VIEW_ALERTS_OPS`

Constructor Summary
`AuthzConstants()`

Method Summary
`static boolean` | `isOverlord(java.lang.Integer subject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rootResType

    public static final java.lang.String rootResType

See Also:
  Constant Field Values

### rootResourceId

    public static final java.lang.Integer rootResourceId

### rootSubjectId

    public static final java.lang.Integer rootSubjectId

### groupResourceTypeName

    public static final java.lang.String groupResourceTypeName

See Also:
  Constant Field Values

### rootResourceGroupName

    public static final java.lang.String rootResourceGroupName

See Also:
  Constant Field Values

### rootResourceGroupId

    public static final java.lang.Integer rootResourceGroupId

### authzResourceGroupId

    public static final java.lang.Integer authzResourceGroupId

### platformResType

    public static final java.lang.String platformResType

See Also:
  Constant Field Values

### serverResType

    public static final java.lang.String serverResType

See Also:
  Constant Field Values

### serviceResType

    public static final java.lang.String serviceResType

See Also:
  Constant Field Values

### applicationResType

    public static final java.lang.String applicationResType

See Also:
  Constant Field Values

### groupResType

    public static final java.lang.String groupResType

See Also:
  Constant Field Values

### platformOpCreatePlatform

    public static final java.lang.String platformOpCreatePlatform

See Also:
  Constant Field Values

### platformOpViewPlatform

    public static final java.lang.String platformOpViewPlatform

See Also:
  Constant Field Values

### platformOpModifyPlatform

    public static final java.lang.String platformOpModifyPlatform

See Also:
  Constant Field Values

### platformOpRemovePlatform

    public static final java.lang.String platformOpRemovePlatform

See Also:
  Constant Field Values

### platformOpAddServer

    public static final java.lang.String platformOpAddServer

See Also:
  Constant Field Values

### platformOpMonitorPlatform

    public static final java.lang.String platformOpMonitorPlatform

See Also:
  Constant Field Values

### platformOpControlPlatform

    public static final java.lang.String platformOpControlPlatform

See Also:
  Constant Field Values

### platformOpManageAlerts

    public static final java.lang.String platformOpManageAlerts

See Also:
  Constant Field Values

### serverOpCreateServer

    public static final java.lang.String serverOpCreateServer

See Also:
  Constant Field Values

### serverOpViewServer

    public static final java.lang.String serverOpViewServer

See Also:
  Constant Field Values

### serverOpModifyServer

    public static final java.lang.String serverOpModifyServer

See Also:
  Constant Field Values

### serverOpRemoveServer

    public static final java.lang.String serverOpRemoveServer

See Also:
  Constant Field Values

### serverOpAddService

    public static final java.lang.String serverOpAddService

See Also:
  Constant Field Values

### serverOpMonitorServer

    public static final java.lang.String serverOpMonitorServer

See Also:
  Constant Field Values

### serverOpControlServer

    public static final java.lang.String serverOpControlServer

See Also:
  Constant Field Values

### serverOpManageAlerts

    public static final java.lang.String serverOpManageAlerts

See Also:
  Constant Field Values

### serviceOpCreateService

    public static final java.lang.String serviceOpCreateService

See Also:
  Constant Field Values

### serviceOpViewService

    public static final java.lang.String serviceOpViewService

See Also:
  Constant Field Values

### serviceOpModifyService

    public static final java.lang.String serviceOpModifyService

See Also:
  Constant Field Values

### serviceOpRemoveService

    public static final java.lang.String serviceOpRemoveService

See Also:
  Constant Field Values

### serviceOpMonitorService

    public static final java.lang.String serviceOpMonitorService

See Also:
  Constant Field Values

### serviceOpControlService

    public static final java.lang.String serviceOpControlService

See Also:
  Constant Field Values

### serviceOpManageAlerts

    public static final java.lang.String serviceOpManageAlerts

See Also:
  Constant Field Values

### appOpCreateApplication

    public static final java.lang.String appOpCreateApplication

See Also:
  Constant Field Values

### appOpViewApplication

    public static final java.lang.String appOpViewApplication

See Also:
  Constant Field Values

### appOpModifyApplication

    public static final java.lang.String appOpModifyApplication

See Also:
  Constant Field Values

### appOpRemoveApplication

    public static final java.lang.String appOpRemoveApplication

See Also:
  Constant Field Values

### appOpMonitorApplication

    public static final java.lang.String appOpMonitorApplication

See Also:
  Constant Field Values

### appOpControlApplication

    public static final java.lang.String appOpControlApplication

See Also:
  Constant Field Values

### appOpManageAlerts

    public static final java.lang.String appOpManageAlerts

See Also:
  Constant Field Values

### groupOpCreateResourceGroup

    public static final java.lang.String groupOpCreateResourceGroup

See Also:
  Constant Field Values

### groupOpViewResourceGroup

    public static final java.lang.String groupOpViewResourceGroup

See Also:
  Constant Field Values

### groupOpModifyResourceGroup

    public static final java.lang.String groupOpModifyResourceGroup

See Also:
  Constant Field Values

### groupOpRemoveResourceGroup

    public static final java.lang.String groupOpRemoveResourceGroup

See Also:
  Constant Field Values

### groupOpAddRole

    public static final java.lang.String groupOpAddRole

See Also:
  Constant Field Values

### groupOpControlResourceGroup

    public static final java.lang.String groupOpControlResourceGroup

See Also:
  Constant Field Values

### groupOpMonitorResourceGroup

    public static final java.lang.String groupOpMonitorResourceGroup

See Also:
  Constant Field Values

### groupOpManageAlerts

    public static final java.lang.String groupOpManageAlerts

See Also:
  Constant Field Values

### perm_viewSubject

    public static final java.lang.Integer perm_viewSubject

### perm_viewRole

    public static final java.lang.Integer perm_viewRole

### perm_viewResourceGroup

    public static final java.lang.Integer perm_viewResourceGroup

### perm_viewPlatform

    public static final java.lang.Integer perm_viewPlatform

### perm_viewServer

    public static final java.lang.Integer perm_viewServer

### perm_viewService

    public static final java.lang.Integer perm_viewService

### perm_viewApplication

    public static final java.lang.Integer perm_viewApplication

### perm_modifySubject

    public static final java.lang.Integer perm_modifySubject

### perm_modifyRole

    public static final java.lang.Integer perm_modifyRole

### perm_modifyResourceGroup

    public static final java.lang.Integer perm_modifyResourceGroup

### perm_modifyPlatform

    public static final java.lang.Integer perm_modifyPlatform

### perm_modifyServer

    public static final java.lang.Integer perm_modifyServer

### perm_modifyService

    public static final java.lang.Integer perm_modifyService

### perm_modifyApplication

    public static final java.lang.Integer perm_modifyApplication

### perm_removeSubject

    public static final java.lang.Integer perm_removeSubject

### perm_removeRole

    public static final java.lang.Integer perm_removeRole

### perm_removeResourceGroup

    public static final java.lang.Integer perm_removeResourceGroup

### perm_removePlatform

    public static final java.lang.Integer perm_removePlatform

### perm_removeServer

    public static final java.lang.Integer perm_removeServer

### perm_removeService

    public static final java.lang.Integer perm_removeService

### perm_removeApplication

    public static final java.lang.Integer perm_removeApplication

### authzDS

    public static final java.lang.String authzDS

See Also:
  Constant Field Values

### rootRoleName

    public static final java.lang.String rootRoleName

See Also:
  Constant Field Values

### rootRoleId

    public static final java.lang.Integer rootRoleId

### creatorRoleName

    public static final java.lang.String creatorRoleName

See Also:
  Constant Field Values

### subjectResourceTypeName

    public static final java.lang.String subjectResourceTypeName

See Also:
  Constant Field Values

### typeResourceTypeName

    public static final java.lang.String typeResourceTypeName

See Also:
  Constant Field Values

### roleResourceTypeName

    public static final java.lang.String roleResourceTypeName

See Also:
  Constant Field Values

### overlordId

    public static final java.lang.Integer overlordId

### overlordName

    public static final java.lang.String overlordName

See Also:
  Constant Field Values

### overlordDsn

    public static final java.lang.String overlordDsn

See Also:
  Constant Field Values

### guestId

    public static final java.lang.Integer guestId

### authzResourceGroupName

    public static final java.lang.String authzResourceGroupName

See Also:
  Constant Field Values

### escalationResourceTypeName

    public static final java.lang.String escalationResourceTypeName

See Also:
  Constant Field Values

### hqSystemResourceTypeName

    public static final java.lang.String hqSystemResourceTypeName

See Also:
  Constant Field Values

### platformPrototypeTypeName

    public static final java.lang.String platformPrototypeTypeName

See Also:
  Constant Field Values

### serverPrototypeTypeName

    public static final java.lang.String serverPrototypeTypeName

See Also:
  Constant Field Values

### servicePrototypeTypeName

    public static final java.lang.String servicePrototypeTypeName

See Also:
  Constant Field Values

### appPrototypeTypeName

    public static final java.lang.String appPrototypeTypeName

See Also:
  Constant Field Values

### platformPrototypeVmwareVsphereVm

    public static final java.lang.String platformPrototypeVmwareVsphereVm

See Also:
  Constant Field Values

### platformPrototypeVmwareVsphereHost

    public static final java.lang.String platformPrototypeVmwareVsphereHost

See Also:
  Constant Field Values

### serverPrototypeVmwareVcenter

    public static final java.lang.String serverPrototypeVmwareVcenter

See Also:
  Constant Field Values

### rootOpCAMAdmin

    public static final java.lang.String rootOpCAMAdmin

See Also:
  Constant Field Values

### typeOpCreateResource

    public static final java.lang.String typeOpCreateResource

See Also:
  Constant Field Values

### typeOpModifyResourceType

    public static final java.lang.String typeOpModifyResourceType

See Also:
  Constant Field Values

### typeOpAddOperation

    public static final java.lang.String typeOpAddOperation

See Also:
  Constant Field Values

### typeOpRemoveOperation

    public static final java.lang.String typeOpRemoveOperation

See Also:
  Constant Field Values

### subjectOpViewSubject

    public static final java.lang.String subjectOpViewSubject

See Also:
  Constant Field Values

### subjectOpModifySubject

    public static final java.lang.String subjectOpModifySubject

See Also:
  Constant Field Values

### subjectOpRemoveSubject

    public static final java.lang.String subjectOpRemoveSubject

See Also:
  Constant Field Values

### subjectOpCreateSubject

    public static final java.lang.String subjectOpCreateSubject

See Also:
  Constant Field Values

### roleOpCreateRole

    public static final java.lang.String roleOpCreateRole

See Also:
  Constant Field Values

### roleOpModifyRole

    public static final java.lang.String roleOpModifyRole

See Also:
  Constant Field Values

### roleOpRemoveRole

    public static final java.lang.String roleOpRemoveRole

See Also:
  Constant Field Values

### roleOpViewRole

    public static final java.lang.String roleOpViewRole

See Also:
  Constant Field Values

### escOpCreateEscalation

    public static final java.lang.String escOpCreateEscalation

See Also:
  Constant Field Values

### escOpViewEscalation

    public static final java.lang.String escOpViewEscalation

See Also:
  Constant Field Values

### escOpModifyEscalation

    public static final java.lang.String escOpModifyEscalation

See Also:
  Constant Field Values

### escOpRemoveEscalation

    public static final java.lang.String escOpRemoveEscalation

See Also:
  Constant Field Values

### privateRoleGroupName

    public static final java.lang.String privateRoleGroupName

See Also:
  Constant Field Values

### authzDefaultResourceGroupType

    public static final int authzDefaultResourceGroupType

See Also:
  Constant Field Values

### authzSubject

    public static final java.lang.Integer authzSubject

### authzRole

    public static final java.lang.Integer authzRole

### authzGroup

    public static final java.lang.Integer authzGroup

### authzPlatform

    public static final java.lang.Integer authzPlatform

### authzServer

    public static final java.lang.Integer authzServer

### authzService

    public static final java.lang.Integer authzService

### authzApplication

    public static final java.lang.Integer authzApplication

### authzEscalation

    public static final java.lang.Integer authzEscalation

### authzHQSystem

    public static final java.lang.Integer authzHQSystem

### authzLocation

    public static final java.lang.Integer authzLocation

### authzPlatformProto

    public static final java.lang.Integer authzPlatformProto

### authzServerProto

    public static final java.lang.Integer authzServerProto

### authzServiceProto

    public static final java.lang.Integer authzServiceProto

### authzApplicationProto

    public static final java.lang.Integer authzApplicationProto

### RELATION_CONTAINMENT_ID

    public static final java.lang.Integer RELATION_CONTAINMENT_ID

### RELATION_NETWORK_ID

    public static final java.lang.Integer RELATION_NETWORK_ID

### RELATION_VIRTUAL_ID

    public static final java.lang.Integer RELATION_VIRTUAL_ID

### ResourceEdgeContainmentRelation

    public static final java.lang.String ResourceEdgeContainmentRelation

See Also:
  Constant Field Values

### ResourceEdgeNetworkRelation

    public static final java.lang.String ResourceEdgeNetworkRelation

See Also:
  Constant Field Values

### ResourceEdgeVirtualRelation

    public static final java.lang.String ResourceEdgeVirtualRelation

See Also:
  Constant Field Values

### VIEW_ALERTS_OPS

    public static final java.lang.String[] VIEW_ALERTS_OPS

Constructor Detail

### AuthzConstants

    public AuthzConstants()

Method Detail

### isOverlord

    public static boolean isOverlord(java.lang.Integer subject)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.